Public Member Functions | Public Attributes | List of all members
libabw::ABWListElement Struct Referenceabstract

`#include <ABWCollector.h>`

Inheritance diagram for libabw::ABWListElement:

## Public Member Functions
| ABWListElement ()
virtual | ~ABWListElement ()
virtual void | writeOut (librevenge::RVNGPropertyList &propList) const
virtual ABWListType | getType () const =0

## Public Attributes
int | m_listLevel
double | m_minLabelWidth
double | m_spaceBefore
int | m_parentId
int | m_listId
| the list id More...

## Constructor & Destructor Documentation

## ◆ ABWListElement()

libabw::ABWListElement::ABWListElement | ( |  | ) |
| inline

## ◆ ~ABWListElement()

virtual libabw::ABWListElement::~ABWListElement | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getType()

virtual ABWListType libabw::ABWListElement::getType | ( |  | ) | const
| pure virtual

Implemented in libabw::ABWUnorderedListElement, and libabw::ABWOrderedListElement.

## ◆ writeOut()

void libabw::ABWListElement::writeOut | ( | librevenge::RVNGPropertyList & | propList | ) | const
| virtual

Reimplemented in libabw::ABWUnorderedListElement, and libabw::ABWOrderedListElement.

Referenced by libabw::ABWOrderedListElement::writeOut(), and libabw::ABWUnorderedListElement::writeOut().

## Member Data Documentation

## ◆ m_listId

int libabw::ABWListElement::m_listId

the list id

## ◆ m_listLevel

int libabw::ABWListElement::m_listLevel

Referenced by writeOut().

## ◆ m_minLabelWidth

double libabw::ABWListElement::m_minLabelWidth

Referenced by writeOut().

## ◆ m_parentId

int libabw::ABWListElement::m_parentId

## ◆ m_spaceBefore

double libabw::ABWListElement::m_spaceBefore

Referenced by writeOut().

The documentation for this struct was generated from the following files:

- ABWCollector.h
- ABWCollector.cpp